NX Open C++ Reference Guide
|
Progressive Die Wizard builder to create quick quotation. More...
Public Types | |
enum | DesignTypes { DesignTypesNewDesign, DesignTypesChangeover, DesignTypesAdditionalDie } |
Specify the design type. More... | |
enum | InsertGroupMaterials { InsertGroupMaterialsCr12, InsertGroupMaterialsCr12MoV } |
Specify the insert group material. More... | |
enum | ManageTemporaryObjectsTypes { ManageTemporaryObjectsTypesHide, ManageTemporaryObjectsTypesDisplay, ManageTemporaryObjectsTypesDelete } |
Specify the management type for the temporary objects. More... | |
enum | ObjectTypes { ObjectTypesPiercing, ObjectTypesBending, ObjectTypesForming, ObjectTypesBurring, ObjectTypesCam } |
Specify the concept sheet body type. More... | |
enum | Types { TypesJobInformation, TypesProjectDefinition, TypesConceptDesign, TypesGrouping, TypesQuoting } |
Specify the operation type. More... | |
Public Member Functions | |
NXOpen::NXColor * | BendingColor () |
Returns the bending color. | |
double | BlankSize () |
Returns the blank size. | |
NXOpen::NXColor * | BurringColor () |
Returns the burring color. | |
NXOpen::NXColor * | CamunitColor () |
Returns the cam unit color. | |
double | CompFactor () |
Returns the complexity factor. | |
NXString | Customer () |
Returns the customer. | |
void | DatumPlane () |
Create a datum plane. | |
double | DesignHours () |
Returns the design hours. | |
double | DesignPrice () |
Returns the work area width. | |
double | DistanceX () |
Returns the distance between sub die base and die base edge in X direction. | |
double | DistanceY () |
Returns the distance between sub die base and die base edge in Y direction. | |
NXOpen::NXColor * | FormingColor () |
Returns the forming color. | |
NXOpen::Tooling::QuickQuotationBuilder::InsertGroupMaterials | InsertGroupMaterial () |
Returns the insert group material. | |
NXOpen::Tooling::QuickQuotationBuilder::ManageTemporaryObjectsTypes | ManageTemporaryObjectsType () |
Returns the management type for temporary objects. | |
NXString | MaterialUtil () |
Returns the material utilization. | |
NXOpen::Tooling::QuickQuotationBuilder::ObjectTypes | ObjectType () |
Returns the object type. | |
double | OutlineEnlargeTimes () |
Returns the outline enlarge times. | |
int | PartNo () |
Returns the part no. | |
int | PartsAmout () |
Returns the parts amount. | |
NXOpen::NXColor * | PiercingColor () |
Returns the piercing color. | |
double | Pitch () |
Returns the pitch. | |
NXString | QuoteDate () |
Returns the quote date. | |
NXString | QuoteNo () |
Returns the quote no. | |
NXString | Quoter () |
Returns the quoter. | |
NXOpen::Section * | SelOutline () |
Returns the selected outline. | |
NXOpen::SelectBodyList * | SelSheetBody () |
Returns the selected sheet body. | |
void | SetBendingColor (NXOpen::NXColor *specifyColor) |
Sets the bending color. | |
void | SetBlankSize (double blankSize) |
Sets the blank size. | |
void | SetBurringColor (NXOpen::NXColor *specifyColor) |
Sets the burring color. | |
void | SetCamunitColor (NXOpen::NXColor *specifyColor) |
Sets the cam unit color. | |
void | SetCompFactor (double compFactor) |
Sets the complexity factor. | |
void | SetCustomer (const NXString &customer) |
Sets the customer. | |
void | SetCustomer (const char *customer) |
Sets the customer. | |
void | SetDesignHours (double designHours) |
Sets the design hours. | |
void | SetDesignPrice (double designPrice) |
Sets the work area width. | |
void | SetDistanceX (double distanceX) |
Sets the distance between sub die base and die base edge in X direction. | |
void | SetDistanceY (double distanceY) |
Sets the distance between sub die base and die base edge in Y direction. | |
void | SetFormingColor (NXOpen::NXColor *specifyColor) |
Sets the forming color. | |
void | SetInsertGroupMaterial (NXOpen::Tooling::QuickQuotationBuilder::InsertGroupMaterials insertGroupMaterial) |
Sets the insert group material. | |
void | SetManageTemporaryObjectsType (NXOpen::Tooling::QuickQuotationBuilder::ManageTemporaryObjectsTypes manageTemporaryObjectsType) |
Sets the management type for temporary objects. | |
void | SetMaterialUtil (const NXString &materialUtil) |
Sets the material utilization. | |
void | SetMaterialUtil (const char *materialUtil) |
Sets the material utilization. | |
void | SetObjectType (NXOpen::Tooling::QuickQuotationBuilder::ObjectTypes objectType) |
Sets the object type. | |
void | SetOutlineEnlargeTimes (double outlineEnlargeTimes) |
Sets the outline enlarge times. | |
void | SetPartNo (int partNo) |
Sets the part no. | |
void | SetPartsAmout (int partsAmout) |
Sets the parts amount. | |
void | SetPiercingColor (NXOpen::NXColor *specifyColor) |
Sets the piercing color. | |
void | SetPitch (double pitch) |
Sets the pitch. | |
void | SetQuoteDate (const NXString "eDate) |
Sets the quote date. | |
void | SetQuoteDate (const char *quoteDate) |
Sets the quote date. | |
void | SetQuoteNo (const NXString "eNo) |
Sets the quote no. | |
void | SetQuoteNo (const char *quoteNo) |
Sets the quote no. | |
void | SetQuoter (const NXString "er) |
Sets the quoter. | |
void | SetQuoter (const char *quoter) |
Sets the quoter. | |
void | SetStationsNo (int stationsNo) |
Sets the stations no. | |
void | SetStripLength (double stripLength) |
Sets the strip length. | |
void | SetStripMaterial (const NXString &stripMaterial) |
Sets the strip material. | |
void | SetStripMaterial (const char *stripMaterial) |
Sets the strip material. | |
void | SetStripThickness (double stripThickness) |
Sets the strip thickness. | |
void | SetType (NXOpen::Tooling::QuickQuotationBuilder::Types type) |
Sets the operation type. | |
void | SetWidth (double width) |
Sets the width. | |
void | SetWorkAreaLength (double workAreaLength) |
Sets the work area length. | |
void | SetWorkAreaWidth (double workAreaWidth) |
Sets the work area width. | |
int | StationsNo () |
Returns the stations no. | |
double | StripLength () |
Returns the strip length. | |
NXString | StripMaterial () |
Returns the strip material. | |
double | StripThickness () |
Returns the strip thickness. | |
void | TemplateConfig () |
The template configuration. | |
NXOpen::Tooling::QuickQuotationBuilder::Types | Type () |
Returns the operation type. | |
double | Width () |
Returns the width. | |
double | WorkAreaLength () |
Returns the work area length. | |
double | WorkAreaWidth () |
Returns the work area width. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Progressive Die Wizard builder to create quick quotation.
To create a new instance of this class, use Tooling::QuickQuotationCollection::CreateQuickQuotationBuilder
Default values.
Property | Value |
---|---|
BendingColor |
120 |
BurringColor |
29 |
CamunitColor |
58 |
CompFactor |
1 |
FormingColor |
152 |
InsertGroupMaterial |
Cr12 |
ManageTemporaryObjectsType |
Hide |
ObjectType |
Piercing |
OutlineEnlargeTimes |
1 |
PartNo |
0 |
PartsAmout |
0 |
PiercingColor |
97 |
Pitch |
0 |
StationsNo |
0 |
StripLength |
0 |
StripThickness |
0 |
Width |
0 |
WorkAreaLength |
0 |
WorkAreaWidth |
0 |
Created in NX8.0.0.
NXOpen::NXColor* NXOpen::Tooling::QuickQuotationBuilder::BendingColor | ( | ) |
Returns the bending color.
Created in NX8.0.0.
License requirements : None
double NXOpen::Tooling::QuickQuotationBuilder::BlankSize | ( | ) |
Returns the blank size.
Created in NX8.0.0.
License requirements : None
NXOpen::NXColor* NXOpen::Tooling::QuickQuotationBuilder::BurringColor | ( | ) |
Returns the burring color.
Created in NX8.0.0.
License requirements : None
NXOpen::NXColor* NXOpen::Tooling::QuickQuotationBuilder::CamunitColor | ( | ) |
Returns the cam unit color.
Created in NX8.0.0.
License requirements : None
double NXOpen::Tooling::QuickQuotationBuilder::CompFactor | ( | ) |
Returns the complexity factor.
Created in NX8.0.0.
License requirements : None
NXString NXOpen::Tooling::QuickQuotationBuilder::Customer | ( | ) |
Returns the customer.
Created in NX8.0.0.
License requirements : None
void NXOpen::Tooling::QuickQuotationBuilder::DatumPlane | ( | ) |
Create a datum plane.
Created in NX8.0.0.
License requirements : None
double NXOpen::Tooling::QuickQuotationBuilder::DesignHours | ( | ) |
Returns the design hours.
Created in NX8.0.0.
License requirements : None
double NXOpen::Tooling::QuickQuotationBuilder::DesignPrice | ( | ) |
Returns the work area width.
Created in NX8.0.0.
License requirements : None
double NXOpen::Tooling::QuickQuotationBuilder::DistanceX | ( | ) |
Returns the distance between sub die base and die base edge in X direction.
Created in NX8.0.0.
License requirements : None
double NXOpen::Tooling::QuickQuotationBuilder::DistanceY | ( | ) |
Returns the distance between sub die base and die base edge in Y direction.
Created in NX8.0.0.
License requirements : None
NXOpen::NXColor* NXOpen::Tooling::QuickQuotationBuilder::FormingColor | ( | ) |
Returns the forming color.
Created in NX8.0.0.
License requirements : None
NXOpen::Tooling::QuickQuotationBuilder::InsertGroupMaterials NXOpen::Tooling::QuickQuotationBuilder::InsertGroupMaterial | ( | ) |
Returns the insert group material.
Created in NX8.0.0.
License requirements : None
NXOpen::Tooling::QuickQuotationBuilder::ManageTemporaryObjectsTypes NXOpen::Tooling::QuickQuotationBuilder::ManageTemporaryObjectsType | ( | ) |
Returns the management type for temporary objects.
Created in NX9.0.0.
License requirements : None
NXString NXOpen::Tooling::QuickQuotationBuilder::MaterialUtil | ( | ) |
Returns the material utilization.
Created in NX8.0.0.
License requirements : None
NXOpen::Tooling::QuickQuotationBuilder::ObjectTypes NXOpen::Tooling::QuickQuotationBuilder::ObjectType | ( | ) |
Returns the object type.
Created in NX8.0.0.
License requirements : None
double NXOpen::Tooling::QuickQuotationBuilder::OutlineEnlargeTimes | ( | ) |
Returns the outline enlarge times.
Created in NX8.0.0.
License requirements : None
int NXOpen::Tooling::QuickQuotationBuilder::PartNo | ( | ) |
Returns the part no.
Created in NX8.0.0.
License requirements : None
int NXOpen::Tooling::QuickQuotationBuilder::PartsAmout | ( | ) |
Returns the parts amount.
Created in NX8.0.0.
License requirements : None
NXOpen::NXColor* NXOpen::Tooling::QuickQuotationBuilder::PiercingColor | ( | ) |
Returns the piercing color.
Created in NX8.0.0.
License requirements : None
double NXOpen::Tooling::QuickQuotationBuilder::Pitch | ( | ) |
Returns the pitch.
Created in NX8.0.0.
License requirements : None
NXString NXOpen::Tooling::QuickQuotationBuilder::QuoteDate | ( | ) |
Returns the quote date.
Created in NX8.0.0.
License requirements : None
NXString NXOpen::Tooling::QuickQuotationBuilder::QuoteNo | ( | ) |
Returns the quote no.
Created in NX8.0.0.
License requirements : None
NXString NXOpen::Tooling::QuickQuotationBuilder::Quoter | ( | ) |
Returns the quoter.
Created in NX8.0.0.
License requirements : None
NXOpen::Section* NXOpen::Tooling::QuickQuotationBuilder::SelOutline | ( | ) |
Returns the selected outline.
Created in NX8.0.0.
License requirements : None
NXOpen::SelectBodyList* NXOpen::Tooling::QuickQuotationBuilder::SelSheetBody | ( | ) |
Returns the selected sheet body.
Created in NX8.0.0.
License requirements : None
void NXOpen::Tooling::QuickQuotationBuilder::SetBendingColor | ( | NXOpen::NXColor * | specifyColor | ) |
Sets the bending color.
Created in NX8.0.0.
License requirements : prog_die_wizard ("UG/Progressive Die Wizard") OR nx_engineering_die_wizard ("NX Engineering Die Wizard")
specifyColor | specifycolor |
void NXOpen::Tooling::QuickQuotationBuilder::SetBlankSize | ( | double | blankSize | ) |
Sets the blank size.
Created in NX8.0.0.
License requirements : prog_die_wizard ("UG/Progressive Die Wizard") OR nx_engineering_die_wizard ("NX Engineering Die Wizard")
blankSize | blanksize |
void NXOpen::Tooling::QuickQuotationBuilder::SetBurringColor | ( | NXOpen::NXColor * | specifyColor | ) |
Sets the burring color.
Created in NX8.0.0.
License requirements : prog_die_wizard ("UG/Progressive Die Wizard") OR nx_engineering_die_wizard ("NX Engineering Die Wizard")
specifyColor | specifycolor |
void NXOpen::Tooling::QuickQuotationBuilder::SetCamunitColor | ( | NXOpen::NXColor * | specifyColor | ) |
Sets the cam unit color.
Created in NX8.0.0.
License requirements : prog_die_wizard ("UG/Progressive Die Wizard") OR nx_engineering_die_wizard ("NX Engineering Die Wizard")
specifyColor | specifycolor |
void NXOpen::Tooling::QuickQuotationBuilder::SetCompFactor | ( | double | compFactor | ) |
Sets the complexity factor.
Created in NX8.0.0.
License requirements : prog_die_wizard ("UG/Progressive Die Wizard") OR nx_engineering_die_wizard ("NX Engineering Die Wizard")
compFactor | compfactor |
void NXOpen::Tooling::QuickQuotationBuilder::SetCustomer | ( | const NXString & | customer | ) |
Sets the customer.
Created in NX8.0.0.
License requirements : prog_die_wizard ("UG/Progressive Die Wizard") OR nx_engineering_die_wizard ("NX Engineering Die Wizard")
customer | customer |
void NXOpen::Tooling::QuickQuotationBuilder::SetCustomer | ( | const char * | customer | ) |
Sets the customer.
Created in NX8.0.0.
License requirements : prog_die_wizard ("UG/Progressive Die Wizard") OR nx_engineering_die_wizard ("NX Engineering Die Wizard")
customer | customer |
void NXOpen::Tooling::QuickQuotationBuilder::SetDesignHours | ( | double | designHours | ) |
Sets the design hours.
Created in NX8.0.0.
License requirements : prog_die_wizard ("UG/Progressive Die Wizard") OR nx_engineering_die_wizard ("NX Engineering Die Wizard")
designHours | designhours |
void NXOpen::Tooling::QuickQuotationBuilder::SetDesignPrice | ( | double | designPrice | ) |
Sets the work area width.
Created in NX8.0.0.
License requirements : prog_die_wizard ("UG/Progressive Die Wizard") OR nx_engineering_die_wizard ("NX Engineering Die Wizard")
designPrice | designprice |
void NXOpen::Tooling::QuickQuotationBuilder::SetDistanceX | ( | double | distanceX | ) |
Sets the distance between sub die base and die base edge in X direction.
Created in NX8.0.0.
License requirements : prog_die_wizard ("UG/Progressive Die Wizard") OR nx_engineering_die_wizard ("NX Engineering Die Wizard")
distanceX | distancex |
void NXOpen::Tooling::QuickQuotationBuilder::SetDistanceY | ( | double | distanceY | ) |
Sets the distance between sub die base and die base edge in Y direction.
Created in NX8.0.0.
License requirements : prog_die_wizard ("UG/Progressive Die Wizard") OR nx_engineering_die_wizard ("NX Engineering Die Wizard")
distanceY | distancey |
void NXOpen::Tooling::QuickQuotationBuilder::SetFormingColor | ( | NXOpen::NXColor * | specifyColor | ) |
Sets the forming color.
Created in NX8.0.0.
License requirements : prog_die_wizard ("UG/Progressive Die Wizard") OR nx_engineering_die_wizard ("NX Engineering Die Wizard")
specifyColor | specifycolor |
void NXOpen::Tooling::QuickQuotationBuilder::SetInsertGroupMaterial | ( | NXOpen::Tooling::QuickQuotationBuilder::InsertGroupMaterials | insertGroupMaterial | ) |
Sets the insert group material.
Created in NX8.0.0.
License requirements : prog_die_wizard ("UG/Progressive Die Wizard") OR nx_engineering_die_wizard ("NX Engineering Die Wizard")
insertGroupMaterial | insertgroupmaterial |
void NXOpen::Tooling::QuickQuotationBuilder::SetManageTemporaryObjectsType | ( | NXOpen::Tooling::QuickQuotationBuilder::ManageTemporaryObjectsTypes | manageTemporaryObjectsType | ) |
Sets the management type for temporary objects.
Created in NX9.0.0.
License requirements : prog_die_wizard ("UG/Progressive Die Wizard") OR nx_engineering_die_wizard ("NX Engineering Die Wizard")
manageTemporaryObjectsType | managetemporaryobjectstype |
void NXOpen::Tooling::QuickQuotationBuilder::SetMaterialUtil | ( | const NXString & | materialUtil | ) |
Sets the material utilization.
Created in NX8.0.0.
License requirements : prog_die_wizard ("UG/Progressive Die Wizard") OR nx_engineering_die_wizard ("NX Engineering Die Wizard")
materialUtil | materialutil |
void NXOpen::Tooling::QuickQuotationBuilder::SetMaterialUtil | ( | const char * | materialUtil | ) |
Sets the material utilization.
Created in NX8.0.0.
License requirements : prog_die_wizard ("UG/Progressive Die Wizard") OR nx_engineering_die_wizard ("NX Engineering Die Wizard")
materialUtil | materialutil |
void NXOpen::Tooling::QuickQuotationBuilder::SetObjectType | ( | NXOpen::Tooling::QuickQuotationBuilder::ObjectTypes | objectType | ) |
Sets the object type.
Created in NX8.0.0.
License requirements : prog_die_wizard ("UG/Progressive Die Wizard") OR nx_engineering_die_wizard ("NX Engineering Die Wizard")
objectType | objecttype |
void NXOpen::Tooling::QuickQuotationBuilder::SetOutlineEnlargeTimes | ( | double | outlineEnlargeTimes | ) |
Sets the outline enlarge times.
Created in NX8.0.0.
License requirements : prog_die_wizard ("UG/Progressive Die Wizard") OR nx_engineering_die_wizard ("NX Engineering Die Wizard")
outlineEnlargeTimes | outlineenlargetimes |
void NXOpen::Tooling::QuickQuotationBuilder::SetPartNo | ( | int | partNo | ) |
Sets the part no.
Created in NX8.0.0.
License requirements : prog_die_wizard ("UG/Progressive Die Wizard") OR nx_engineering_die_wizard ("NX Engineering Die Wizard")
partNo | partno |
void NXOpen::Tooling::QuickQuotationBuilder::SetPartsAmout | ( | int | partsAmout | ) |
Sets the parts amount.
Created in NX8.0.0.
License requirements : prog_die_wizard ("UG/Progressive Die Wizard") OR nx_engineering_die_wizard ("NX Engineering Die Wizard")
partsAmout | partsamout |
void NXOpen::Tooling::QuickQuotationBuilder::SetPiercingColor | ( | NXOpen::NXColor * | specifyColor | ) |
Sets the piercing color.
Created in NX8.0.0.
License requirements : prog_die_wizard ("UG/Progressive Die Wizard") OR nx_engineering_die_wizard ("NX Engineering Die Wizard")
specifyColor | specifycolor |
void NXOpen::Tooling::QuickQuotationBuilder::SetPitch | ( | double | pitch | ) |
Sets the pitch.
Created in NX8.0.0.
License requirements : prog_die_wizard ("UG/Progressive Die Wizard") OR nx_engineering_die_wizard ("NX Engineering Die Wizard")
pitch | pitch |
void NXOpen::Tooling::QuickQuotationBuilder::SetQuoteDate | ( | const NXString & | quoteDate | ) |
Sets the quote date.
Created in NX8.0.0.
License requirements : prog_die_wizard ("UG/Progressive Die Wizard") OR nx_engineering_die_wizard ("NX Engineering Die Wizard")
quoteDate | quotedate |
void NXOpen::Tooling::QuickQuotationBuilder::SetQuoteDate | ( | const char * | quoteDate | ) |
Sets the quote date.
Created in NX8.0.0.
License requirements : prog_die_wizard ("UG/Progressive Die Wizard") OR nx_engineering_die_wizard ("NX Engineering Die Wizard")
quoteDate | quotedate |
void NXOpen::Tooling::QuickQuotationBuilder::SetQuoteNo | ( | const NXString & | quoteNo | ) |
Sets the quote no.
Created in NX8.0.0.
License requirements : prog_die_wizard ("UG/Progressive Die Wizard") OR nx_engineering_die_wizard ("NX Engineering Die Wizard")
quoteNo | quoteno |
void NXOpen::Tooling::QuickQuotationBuilder::SetQuoteNo | ( | const char * | quoteNo | ) |
Sets the quote no.
Created in NX8.0.0.
License requirements : prog_die_wizard ("UG/Progressive Die Wizard") OR nx_engineering_die_wizard ("NX Engineering Die Wizard")
quoteNo | quoteno |
void NXOpen::Tooling::QuickQuotationBuilder::SetQuoter | ( | const NXString & | quoter | ) |
Sets the quoter.
Created in NX8.0.0.
License requirements : prog_die_wizard ("UG/Progressive Die Wizard") OR nx_engineering_die_wizard ("NX Engineering Die Wizard")
quoter | quoter |
void NXOpen::Tooling::QuickQuotationBuilder::SetQuoter | ( | const char * | quoter | ) |
Sets the quoter.
Created in NX8.0.0.
License requirements : prog_die_wizard ("UG/Progressive Die Wizard") OR nx_engineering_die_wizard ("NX Engineering Die Wizard")
quoter | quoter |
void NXOpen::Tooling::QuickQuotationBuilder::SetStationsNo | ( | int | stationsNo | ) |
Sets the stations no.
Created in NX8.0.0.
License requirements : prog_die_wizard ("UG/Progressive Die Wizard") OR nx_engineering_die_wizard ("NX Engineering Die Wizard")
stationsNo | stationsno |
void NXOpen::Tooling::QuickQuotationBuilder::SetStripLength | ( | double | stripLength | ) |
Sets the strip length.
Created in NX8.0.0.
License requirements : prog_die_wizard ("UG/Progressive Die Wizard") OR nx_engineering_die_wizard ("NX Engineering Die Wizard")
stripLength | striplength |
void NXOpen::Tooling::QuickQuotationBuilder::SetStripMaterial | ( | const NXString & | stripMaterial | ) |
Sets the strip material.
Created in NX8.0.0.
License requirements : prog_die_wizard ("UG/Progressive Die Wizard") OR nx_engineering_die_wizard ("NX Engineering Die Wizard")
stripMaterial | stripmaterial |
void NXOpen::Tooling::QuickQuotationBuilder::SetStripMaterial | ( | const char * | stripMaterial | ) |
Sets the strip material.
Created in NX8.0.0.
License requirements : prog_die_wizard ("UG/Progressive Die Wizard") OR nx_engineering_die_wizard ("NX Engineering Die Wizard")
stripMaterial | stripmaterial |
void NXOpen::Tooling::QuickQuotationBuilder::SetStripThickness | ( | double | stripThickness | ) |
Sets the strip thickness.
Created in NX8.0.0.
License requirements : prog_die_wizard ("UG/Progressive Die Wizard") OR nx_engineering_die_wizard ("NX Engineering Die Wizard")
stripThickness | stripthickness |
void NXOpen::Tooling::QuickQuotationBuilder::SetType | ( | NXOpen::Tooling::QuickQuotationBuilder::Types | type | ) |
Sets the operation type.
Created in NX8.0.0.
License requirements : prog_die_wizard ("UG/Progressive Die Wizard") OR nx_engineering_die_wizard ("NX Engineering Die Wizard")
type | type |
void NXOpen::Tooling::QuickQuotationBuilder::SetWidth | ( | double | width | ) |
Sets the width.
Created in NX8.0.0.
License requirements : prog_die_wizard ("UG/Progressive Die Wizard") OR nx_engineering_die_wizard ("NX Engineering Die Wizard")
width | width |
void NXOpen::Tooling::QuickQuotationBuilder::SetWorkAreaLength | ( | double | workAreaLength | ) |
Sets the work area length.
Created in NX8.0.0.
License requirements : prog_die_wizard ("UG/Progressive Die Wizard") OR nx_engineering_die_wizard ("NX Engineering Die Wizard")
workAreaLength | workarealength |
void NXOpen::Tooling::QuickQuotationBuilder::SetWorkAreaWidth | ( | double | workAreaWidth | ) |
Sets the work area width.
Created in NX8.0.0.
License requirements : prog_die_wizard ("UG/Progressive Die Wizard") OR nx_engineering_die_wizard ("NX Engineering Die Wizard")
workAreaWidth | workareawidth |
int NXOpen::Tooling::QuickQuotationBuilder::StationsNo | ( | ) |
Returns the stations no.
Created in NX8.0.0.
License requirements : None
double NXOpen::Tooling::QuickQuotationBuilder::StripLength | ( | ) |
Returns the strip length.
Created in NX8.0.0.
License requirements : None
NXString NXOpen::Tooling::QuickQuotationBuilder::StripMaterial | ( | ) |
Returns the strip material.
Created in NX8.0.0.
License requirements : None
double NXOpen::Tooling::QuickQuotationBuilder::StripThickness | ( | ) |
Returns the strip thickness.
Created in NX8.0.0.
License requirements : None
void NXOpen::Tooling::QuickQuotationBuilder::TemplateConfig | ( | ) |
The template configuration.
Created in NX8.0.0.
License requirements : None
NXOpen::Tooling::QuickQuotationBuilder::Types NXOpen::Tooling::QuickQuotationBuilder::Type | ( | ) |
Returns the operation type.
Created in NX8.0.0.
License requirements : None
double NXOpen::Tooling::QuickQuotationBuilder::Width | ( | ) |
Returns the width.
Created in NX8.0.0.
License requirements : None
double NXOpen::Tooling::QuickQuotationBuilder::WorkAreaLength | ( | ) |
Returns the work area length.
Created in NX8.0.0.
License requirements : None
double NXOpen::Tooling::QuickQuotationBuilder::WorkAreaWidth | ( | ) |
Returns the work area width.
Created in NX8.0.0.
License requirements : None